Cyan Web API - Version 1


GET api/messageAudits/{messageAuditId}

            Gets a single MessageAudit.
            

Request Information

Parameters

NameDescriptionAdditional information
messageAuditId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "messageAuditId": "82e7af61-513f-4f1c-963a-b1fb290f821b",
  "messageId": "40197bfb-7698-424d-b943-48fbfb91f807",
  "messageAuditTypeId": "5ef261d9-bf93-4e5f-a904-89dbb48390f2",
  "messageAuditTypeLookupKey": "sample string 4",
  "text": "sample string 5",
  "messageCyanId": 6,
  "cyanId": 7,
  "createdDateUtc": "2026-11-13T23:59:48.4226773+00:00",
  "updatedDateUtc": "2026-11-13T23:59:48.4226773+00:00"
}

application/xml, text/xml

Sample:
<MessageAuditRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-11-13T23:59:48.4226773+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-11-13T23:59:48.4226773+00:00</UpdatedDateUtc>
  <CyanId>7</CyanId>
  <MessageAuditId>82e7af61-513f-4f1c-963a-b1fb290f821b</MessageAuditId>
  <MessageAuditTypeId>5ef261d9-bf93-4e5f-a904-89dbb48390f2</MessageAuditTypeId>
  <MessageAuditTypeLookupKey>sample string 4</MessageAuditTypeLookupKey>
  <MessageCyanId>6</MessageCyanId>
  <MessageId>40197bfb-7698-424d-b943-48fbfb91f807</MessageId>
  <Text>sample string 5</Text>
</MessageAuditRepresentation>